Bug 172806 - gtk+-devel: broken libX* dependencies
Summary: gtk+-devel: broken libX* dependencies
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk+ (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-09 22:16 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-16 22:09:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2005-11-09 22:16:41 UTC
The Rawhide gtk+-devel has: 
 
   BuildRequires: libX11-devel, libXext-devel, libXi-devel 
 
Shouldn't that be a Requires, not BuildRequires for -devel?

Comment 1 Matthias Clasen 2005-11-09 22:23:31 UTC
No, runtime library dependencies are implicitly tracked by rpm

Comment 2 Ville Skyttä 2005-11-09 22:41:24 UTC
Ahem, note that this is about the gtk+-devel subpackage, not gtk+.  
  
At least as of FC4, there's no magic in rpm to track "runtime _development_" 
stuff such as header interdependencies.  There are no library deps to be 
tracked in -devel packages...  

Comment 3 Matthias Clasen 2005-11-09 22:52:53 UTC
ah, hadn't noticed the -devel.

Comment 4 Ville Skyttä 2005-11-16 21:59:49 UTC
Any chance of getting this fixed soon?  It's sort of in the way of a few 
needed modularized X package adaptations in Extras... 

Comment 5 Matthias Clasen 2005-11-16 22:09:33 UTC
Should be fixed soon


Note You need to log in before you can comment on or make changes to this bug.